Bug 1791440 - Unable to specify OPENSHIFT_INSTALL_INVOKER when doing a UPI installation
Summary: Unable to specify OPENSHIFT_INSTALL_INVOKER when doing a UPI installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Alex Crawford
QA Contact: yangyang
URL:
Whiteboard:
Depends On: 1791437
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-15 20:21 UTC by Alex Crawford
Modified: 2020-02-25 06:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1791437
Environment:
Last Closed: 2020-02-25 06:17:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3031 None closed Bug 1791440: asset/manifests: add openshift-install configmap 2020-06-23 01:59:44 UTC
Red Hat Product Errata RHBA-2020:0528 None None None 2020-02-25 06:18:15 UTC

Description Alex Crawford 2020-01-15 20:21:28 UTC
+++ This bug was initially created as a clone of Bug #1791437 +++

The OPENSHIFT_INSTALL_INVOKER only takes effect when doing an IPI installation. CI (and maybe others) need to use that override, even when doing a UPI installation.

Comment 3 yangyang 2020-02-17 11:08:18 UTC
Verified with 4.3.0-0.nightly-2020-02-16-235204

Steps of verification are as below:

1. Set invoker
export OPENSHIFT_INSTALL_INVOKER=yanyang

2. Create a UPI GCP cluster

3. Check invoker
# oc get cm openshift-install-manifests -n openshift-config -o yaml
apiVersion: v1
data:
  invoker: yanyang
  version: v4.3.3
kind: ConfigMap
metadata:
  creationTimestamp: "2020-02-17T09:45:29Z"
  name: openshift-install-manifests
  namespace: openshift-config
  resourceVersion: "966"
  selfLink: /api/v1/namespaces/openshift-config/configmaps/openshift-install-manifests
  uid: 96fa2ed3-09c0-4ee7-9711-a8185381363b

The test results are as expected hence moving it to verified state.

Comment 5 errata-xmlrpc 2020-02-25 06:17:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0528


Note You need to log in before you can comment on or make changes to this bug.